Name:           python-paste
Version:        2.0.3
Release:        10
Summary:        Tools for using a Web Server Gateway Interface stack

License:        MIT and ZPLv2.0 and Python and (AFL or MIT) and (MIT or ASL 2.0)
URL:            https://bitbucket.org/ianb/paste/
Source0:        https://files.pythonhosted.org/packages/source/P/Paste/Paste-%{version}.tar.gz

Patch0:         python37.patch

BuildArch:      noarch
BuildRequires:  python2-pyOpenSSL python2-tempita python2-devel python2-setuptools
BuildRequires:  python2-six python2-nose python3-devel python3-nose
BuildRequires:  python3-pyOpenSSL python3-setuptools python3-six python3-tempita

%description
Paste provides several pieces of "middleware" (or filters) that can be nested
to build web applications. Each piece of middleware uses the WSGI (PEP 333) 
interface, and should be compatible with other middleware based on those interfaces.

%package        -n python2-paste
Summary:        Tools for using a Web Server Gateway Interface stack

%{?python_provide:%python_provide python2-paste}

Requires: 	python2-pyOpenSSL python2-tempita
Requires: 	python2-setuptools python2-six

%description    -n python2-paste
Paste provides several pieces of "middleware" (or filters) that can be nested
to build web applications. Each piece of middleware uses the WSGI (PEP 333)
interface, and should be compatible with other middleware based on those interfaces.

%package        -n python3-paste
Summary:        Tools for using a Web Server Gateway Interface stack

%{?python_provide:%python_provide python3-paste}

Requires: 	python3-pyOpenSSL python3-setuptools
Requires: 	python3-six python3-tempita

%description -n python3-paste
Paste provides several pieces of "middleware" (or filters) that can be nested
to build web applications. Each piece of middleware uses the WSGI (PEP 333)
interface, and should be compatible with other middleware based on those interfaces.

%package_help

%prep
%autosetup -n Paste-%{version} -p1

find . -name "*.orig" -delete
%{__sed} -i -e '/^#!.*/,1 d' paste/util/scgiserver.py paste/debug/doctest_webapp.py

pushd docs
rm StyleGuide.txt
popd

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python2} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%check
export PYTHONPATH=$(pwd)
nosetests-%{python2_version} -e '.*test_paste_website'

pushd %{py3dir}
export PYTHONPATH=$(pwd)
nosetests-%{python3_version} -e '.*test_paste_website'
popd

%files -n python2-paste
%defattr(-,root,root)
%license docs/license.txt
%{python2_sitelib}/paste
%{python2_sitelib}/Paste-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/Paste-%{version}-py%{python2_version}-nspkg.pth

%files -n python3-paste
%defattr(-,root,root)
%license docs/license.txt
%{python3_sitelib}/paste
%{python3_sitelib}/Paste-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/Paste-%{version}-py%{python3_version}-nspkg.pth

%files help
%defattr(-,root,root)
%doc docs/*

%changelog
* Wed Oct 23 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.0.3-10
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:add the provides for python-paste

* Fri Oct 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.0.3-9
- Package init
